"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.discover = discover;
exports.print = print;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-epson-printer' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const EpsonPrinter = _reactNative.NativeModules.EpsonPrinter ? _reactNative.NativeModules.EpsonPrinter : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function discover(params) {
  return EpsonPrinter.discover(params);
}

function print(params) {
  return EpsonPrinter.print(params);
}
//# sourceMappingURL=index.js.map